//
//  ModalClassViewController.m
//  ModalClass
//
//  Created by Damon Holzborn on 3/1/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "ModalClassViewController.h"

@implementation ModalClassViewController

@synthesize rtcmixManager;


- (IBAction)changeHardness:(UISlider *)sender {
	//NSLog(@"hardness: %f", sender.value);
	[rtcmixManager setMainScoreParameter:0 withValue:sender.value];
}

- (IBAction)changePosition:(UISlider *)sender {
	//NSLog(@"position: %f", sender.value);
	[rtcmixManager setMainScoreParameter:1 withValue:sender.value];
}

- (IBAction)changeRepetitiveness:(UISlider *)sender {
	[rtcmixManager setMainScoreParameter:2 withValue:sender.value];
}

- (IBAction)changeBaseDur:(UISlider *)sender {
	[rtcmixManager setMainScoreParameter:3 withValue:sender.value];
}


- (IBAction)goScore {
	[rtcmixManager parseScoreWithRTcmixScore:[rtcmixManager modalBarScore]];
	
}

- (IBAction)flush {
	[rtcmixManager flushAllScripts];
		
}


// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
	
	rtcmixManager = [RTcmixManager sharedManager];
	[rtcmixManager startAudioQueuePlayer];

}

- (void)dealloc {
	[rtcmixManager release];
    [super dealloc];
}

@end
