//
//  RTAudioFileViewController.m
//  RTAudioFile
//
//  Created by Damon Holzborn on 2/19/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "RTAudioFileViewController.h"

@implementation RTAudioFileViewController

@synthesize rtcmixManager;

- (IBAction)playBuffer1 {
	[rtcmixManager playBuffer1];
}

- (IBAction)playBuffer2 {
	[rtcmixManager playBuffer2];
}

- (IBAction)playFile1 {
	[rtcmixManager playFile1];
}

- (IBAction)playFile2 {
	[rtcmixManager playFile2];
}

- (IBAction)flush {
	[rtcmixManager flushAllScripts];
}

/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/



// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
	
	rtcmixManager = [RTcmixManager sharedManager];
	
	[rtcmixManager startAudioQueuePlayer];	
	
}



/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
	[rtcmixManager release];

    [super dealloc];
}

@end
