print_off()

FlangeRate = makeconnection("inlet", 1, %@)
NBits = makeconnection("inlet", 2, %@)

Effects = %@

durWidth = 1
pitch = 7.05
instrument = 0
pan = .5


if (Effects == 1)
{
	bus_config("MMODALBAR", "aux 0-1 out")
	bus_config("FLANGE", "aux 0-1 in", "out 0-1")
	
	flangeWave = maketable("wave", 1000, "sine")
	
	//FLANGE(outsk, insk, dur, amp, resonance, maxdelay, moddepth, modrate (Hz), 
	// 	signalmix[, flangetype {default: "iir"}, inputchan, pan {default: 0.5}, ringdowndur, modwavetable])
	FLANGE(0, 0, 9999, 1.0, 0.06, 1.0 / cpspch(7), 70, FlangeRate,
			 0.5, "IIR", 0, .5, 1.0, flangeWave)
	}
else if (Effects == 2)
{
	bus_config("MMODALBAR", "aux 0-1 out")
	bus_config("DECIMATE", "aux 0-1 in", "out 0-1")
	
	bitsScaled = (NBits - 1.0) / 15.0
	decimateAmp = makefilter(bitsScaled, "fitrange", 0.025, 1.0)
	
	//DECIMATE(outsk, insk, dur, preamp, postamp, nbits[, lowpassfreq, inputchan, pan {default: 0.5}])
	DECIMATE(0, 0, 99999, 1, decimateAmp, NBits, 22050.0, 0, .5)
}