//
//  ModalBarViewController.h
//  ModalBar
//
//  Created by Damon Holzborn on 3/1/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "RTcmixManager.h"

@interface ModalBarViewController : UIViewController {
	RTcmixManager		*rtcmixManager;
	UILabel				*stickPositionLabel;
	UILabel				*stickHardnessLabel;
	UILabel				*flangerRateLabel;
	UILabel				*bitRateLabel;
	UILabel				*repetitivenessLabel;
	UILabel				*baseDurLabel;

	UISlider			*stickPositionSlider;
	UISlider			*stickHardnessSlider;
	UISlider			*flangerRateSlider;
	UISlider			*bitRateSlider;
	UISlider			*repetitivenessSlider;
	UISlider			*baseDurSlider;
}

@property (nonatomic, retain) RTcmixManager				*rtcmixManager;
@property (nonatomic, retain) IBOutlet UILabel			*stickPositionLabel;
@property (nonatomic, retain) IBOutlet UILabel			*stickHardnessLabel;
@property (nonatomic, retain) IBOutlet UILabel			*flangerRateLabel;
@property (nonatomic, retain) IBOutlet UILabel			*bitRateLabel;
@property (nonatomic, retain) IBOutlet UILabel			*repetitivenessLabel;
@property (nonatomic, retain) IBOutlet UILabel			*baseDurLabel;
@property (nonatomic, retain) IBOutlet UISlider			*stickPositionSlider;
@property (nonatomic, retain) IBOutlet UISlider			*stickHardnessSlider;
@property (nonatomic, retain) IBOutlet UISlider			*flangerRateSlider;
@property (nonatomic, retain) IBOutlet UISlider			*bitRateSlider;
@property (nonatomic, retain) IBOutlet UISlider			*repetitivenessSlider;
@property (nonatomic, retain) IBOutlet UISlider			*baseDurSlider;

- (IBAction)goMainScore;
- (IBAction)flush;
- (IBAction)stickPosition:(UISlider *)sender;
- (IBAction)stickHardness:(UISlider *)sender;
- (IBAction)repetitiveness:(UISlider *)sender;
- (IBAction)baseDur:(UISlider *)sender;
- (IBAction)flangerRate:(UISlider *)sender;
- (IBAction)bitRate:(UISlider *)sender;
- (IBAction)setEffects:(UISegmentedControl *)sender;

@end

