//
//  RTUserInteractionViewController.h
//  RTUserInteraction
//
//  Created by Damon Holzborn on 2/15/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "RTcmixManager.h"

@interface RTUserInteractionViewController : UIViewController {
	RTcmixManager *rtcmixManager;
	
	UILabel *grainDurationLabel;
	UILabel *highFreqLabel;
	UILabel *lowFreqLabel;	
	UILabel *filterFreqLabel;
	UILabel *filterQLabel;
}

@property (nonatomic, retain) RTcmixManager	*rtcmixManager;

@property (nonatomic, retain) IBOutlet UILabel *grainDurationLabel;
@property (nonatomic, retain) IBOutlet UILabel *highFreqLabel;
@property (nonatomic, retain) IBOutlet UILabel *lowFreqLabel;
@property (nonatomic, retain) IBOutlet UILabel *filterFreqLabel;
@property (nonatomic, retain) IBOutlet UILabel *filterQLabel;

- (IBAction)grainDurationAction:(id)sender;
- (IBAction)highFreqAction:(id)sender;
- (IBAction)lowFreqAction:(id)sender;
- (IBAction)filterFreqAction:(id)sender;
- (IBAction)filterQAction:(id)sender;
- (IBAction)goScore;
- (IBAction)stopScore;

@end

