//
//  RTcmixManager.h
//  RTAudioFile
//
//  Created by Damon Holzborn on 2/19/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "RTcmixPlayer.h"

@interface RTcmixManager : RTcmixPlayer {
	RTcmixScore	*bufferScore1;
	RTcmixScore	*bufferScore2;
	RTcmixScore	*soundFileScore1;
	RTcmixScore	*soundFileScore2;
}

@property (nonatomic, retain)	RTcmixScore		*bufferScore1;
@property (nonatomic, retain)	RTcmixScore		*bufferScore2;
@property (nonatomic, retain)	RTcmixScore		*soundFileScore1;
@property (nonatomic, retain)	RTcmixScore		*soundFileScore2;

- (IBAction)playBuffer1;
- (IBAction)playBuffer2;
- (IBAction)playFile1;
- (IBAction)playFile2;


@end
