//
//  RTcmixScore.h
//  RTtestbed
//
//  Created by Damon Holzborn on 7/21/10.
//

#import <Foundation/Foundation.h>

@interface RTcmixScore : NSObject {
	NSString		*mainScore;
	NSString		*setupScore;
	NSMutableArray	*mainScoreParameters;
	NSMutableArray	*setupScoreParameters;
	BOOL			setupIsRunning;
}

@property (nonatomic, retain)	NSString		*mainScore;
@property (nonatomic, retain)	NSString		*setupScore;
@property (nonatomic, retain)	NSMutableArray	*mainScoreParameters;
@property (nonatomic, retain)	NSMutableArray	*setupScoreParameters;
@property (readwrite)			BOOL			setupIsRunning;

- (id)initWithScore:(NSString *)score;

- (id)initWithScore:(NSString *)score andParameters:(NSMutableArray *)parameters;

- (id)initWithMainScore:(NSString *)score setupScore:(NSString *)setup 
			 mainParameters:(NSMutableArray *)scoreParameters andSetupParameters:(NSMutableArray *)setupParameters;

@end
